1

I am low on space. Inspectin my store with

sudo find / -xdev -type f -size +100M -exec ls -la --block-size=M {} \; | sort -nk 5

gave me 20 most heavy files

-rw-r--r-- 1 pi pi 102M Dez 18 11:58 /opt/pycharm-community-2020.3.1/lib/platform-impl.jar
-rw-r--r-- 1 root root 116M Nov 16 19:05 /var/cache/apt/archives/scratch3_1.0.6_armhf.deb
-rw-r--r-- 1 root root 121M Jul 10  2020 /opt/Wolfram/WolframEngine/12.1/SystemFiles/Java/Linux-ARM/lib/modules
-rw-r--r-- 1 root root 121M Nov 28 18:42 /usr/lib/jvm/java-11-openjdk-armhf/jmods/java.base.jmod
-rw-r--r-- 1 root root 121M Nov 28 18:42 /usr/lib/jvm/java-11-openjdk-armhf/lib/modules
-rw-r--r-- 1 pi pi 136M Nov 10 16:37 /home/pi/.sdkman/candidates/java/11.0.9.hs-adpt/lib/modules
-rwxr-xr-x 1 root root 137M Aug  3 03:06 /opt/Wolfram/WolframEngine/12.1/SystemFiles/Links/GeometryTools/LibraryResources/Linux-ARM/libGeometryTools.so
-rwxr-xr-x 1 root root 138M Nov 18 21:15 /usr/lib/chromium-browser/chromium-browser-v7
-rwxr-xr-x 1 root root 139M Nov 18 21:15 /usr/lib/chromium-browser/chromium-browser
-rw-r--r-- 1 pi pi 143M Dez 16 15:26 /opt/pycharm-community-2020.3.1/jbr/lib/libcef.so
-rw-r--r-- 1 root root 176M Dez  6 05:09 /var/cache/apt/archives/openjdk-11-jdk-headless_11.0.9.1+1-1~deb10u2_armhf.deb
-rw-r--r-- 1 pi pi 191M Dez 21 21:24 /home/pi/.sdkman/archives/java-11.0.9.hs-adpt.zip
-rw-r----- 1 root adm 266M Jan 16 20:02 /var/log/syslog
-rw-r----- 1 root adm 300M Jan 16 20:02 /var/log/daemon.log
-rw-r--r-- 1 root root 587M Sep  3 19:21 /var/cache/apt/archives/wolfram-engine_12.1.1+2020081901_armhf.deb

Wolfram Engine is the most heavy. I dont use it and dont know what it is. Is it safe to delete it?

2
  • 1
    Welcome. For future reference, if you searched online for this first it would be good to reference that and say you are still uncertain based on what you found, otherwise regulars here are bound to point out that a simple internet search would probably have answered your question. If you didn't, keep in mind that we, like other SE sites, do expect you to make some minimal research effort yourself before you ask a question. Anyway, no you do not need it: en.wikipedia.org/wiki/Wolfram_Mathematica It's installed by default as a sort of promotion.
    – goldilocks
    Jan 16 at 19:54
  • sudo apt purge wolfram*; sudo apt autoremove will get rid of it. It also means you installed the wrong version of RaspiOS. The full version includes it. The desktop version doesn't.
    – Dougie
    Jan 17 at 0:33
3

Wolfram is the programming language of mathematica. Don't just delete the files. This may confuse and break your installation system. If you don't need wolfram just deinstall it with:

rpi ~$ sudo apt update
rpi ~$ sudo apt purge --auto-remove wolfram*

Another simple command in this context to free some storage is:

rpi ~$ sudo apt clean

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.